Skip to main content
`Ctrl`+`K`

# TSThetaGetTheta

Get the abscissa of the stage in (0,1] for `TSTHETA`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaGetTheta(TS ts, PetscReal *theta)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- theta - stage abscissa

## Note

Use of this function is normally only required to hack `TSTHETA` to use a modified integration scheme.

## See Also

TS: Scalable ODE and DAE Solvers, `TSThetaSetTheta()`, `TSTHETA`

## Level

advanced

## Location

src/ts/impls/implicit/theta/theta.c

## Examples

src/ts/tutorials/ex10.c

## Implementations

TSThetaGetTheta_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages